<?xml version="1.0" encoding="utf-8"?>
<!--

 BPELUnit test result view stylesheet (main stylesheet)
 Copyright (C) 2009 Antonio García Domínguez

 This program is free software; you can redistribute it 
 and/or modify it under the terms of the GNU General Public 
 License as published by the Free Software Foundation; 
 either version 2 of the License, or (at your option) any 
 later version.

 This program is distributed in the hope that it will be 
 useful, but WITHOUT ANY WARRANTY; without even the implied 
 warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
 PURPOSE. See the GNU General Public License for more 
 details.

 You should have received a copy of the GNU General Public 
 License along with this program; if not, write to the Free 
 Software Foundation, Inc., 59 Temple Place, Suite 330, 
 Boston, MA 02111-1307 USA

-->
<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:tes="http://www.bpelunit.org/schema/testResult"
                xmlns:txml="http://www.uca.es/2009/XMLEye/bpelunit_results_stylesheet">

  <xsl:template match="tes:testCase|tes:testResult|tes:partnerTrack|tes:activity|tes:dataPackage">
    <xsl:call-template name="skeleton">
      <xsl:with-param name="rtf">
        <h1 class="section"><xsl:value-of select="@name"/></h1>

        <p><xsl:value-of select="concat($txml:result_title, ': ', @result)"/></p>

        <h2 class="subsection"><xsl:value-of select="$txml:message_title"/></h2>

        <p><xsl:value-of select="@message"/></p>

        <xsl:if test="@exception">
          <table>
            <tr><th class="error"><xsl:value-of select="$txml:exception_title"/></th></tr>
            <tr><td class="error"><xsl:value-of select="@exception"/></td></tr>
          </table>
        </xsl:if>
        <xsl:if test="tes:state[@name='Style/Encoding']">
          <h2 class="subsection"><xsl:value-of select="$txml:package_title"/></h2>
          <dl>
            <xsl:for-each select="tes:state[@name='Target URL']">
              <dt class="localheader"><xsl:value-of select="$txml:targeturl_header"/></dt>
              <dd><xsl:value-of select="."/></dd>
            </xsl:for-each>
            <xsl:for-each select="tes:state[@name='HTTP Action']">
              <dt class="localheader"><xsl:value-of select="$txml:httpaction_header"/></dt>
              <dd><xsl:value-of select="."/></dd>
            </xsl:for-each>
            <dt class="localheader"><xsl:value-of select="$txml:styleenc_header"/></dt>
            <dd><xsl:value-of select="tes:state[@name='Style/Encoding']"/></dd>
          </dl>
        </xsl:if>
        <xsl:for-each select="tes:xmlData">
          <h2 class="subsection"><xsl:value-of select="@name"/></h2>
          <xsl:element name="pre">
            <xsl:apply-templates select="*[1]" mode="dump-source"/>
          </xsl:element>
        </xsl:for-each>
        <xsl:for-each select="tes:receiveCondition">
          <h2 class="subsection"><xsl:value-of select="$txml:receivecond_title"/></h2>
          <table width="100%" border="1">
            <tr>
              <th class="localheader" width="33%"><xsl:value-of select="$txml:expression_header"/></th>
              <th class="localheader" width="33%"><xsl:value-of select="$txml:expected_header"/></th>
              <th class="localheader"><xsl:value-of select="$txml:got_header"/></th>
            </tr>
            <xsl:for-each select="tes:condition">
              <xsl:element name="tr">
                <xsl:element name="td"><xsl:value-of select="tes:expression"/></xsl:element>
                <xsl:element name="td"><xsl:value-of select="tes:expectedValue"/></xsl:element>
                <xsl:element name="td"><xsl:value-of select="tes:actualValue"/></xsl:element>
              </xsl:element>
            </xsl:for-each>
          </table>
        </xsl:for-each>
      </xsl:with-param>
    </xsl:call-template>
  </xsl:template>

</xsl:stylesheet>